{"swagger":"2.0","info":{"description":"API for ID06 orders and cards","version":"1.1","title":"Nexus ID06 API","contact":{"name":"Nexus","url":"https://www.nexusgroup.com/","email":"contact@nexusgroup.com"},"license":{}},"host":"apiapp.go.nexusgroup.com","basePath":"/","tags":[{"name":"Order API","description":"Industry Controller"}],"paths":{"/api/order":{"post":{"tags":["Order API"],"summary":"Generate order(s)","operationId":"generateOrdersUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"Authorization","in":"header","description":"Access Token","required":true,"type":"string","x-example":"Bearer access_token"},{"in":"body","name":"orders","description":"orders","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/Order"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/OrderResponse"}}},"201":{"description":"Order(s) created"},"400":{"description":"Invalid order input"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/order/search":{"get":{"tags":["Order API"],"summary":"Search for order","operationId":"searchOrdersUsingGET","produces":["*/*"],"parameters":[{"name":"Authorization","in":"header","description":"Access Token","required":true,"type":"string","x-example":"Bearer access_token"},{"in":"query","name":"page","description":"Results page you want to retrieve (0..N)","required":false},{"name":"since","in":"query","description":"since","required":true,"type":"string","format":"date-time"},{"in":"query","name":"size","description":"Number of records per page.","required":false},{"in":"query","name":"sort","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false},{"name":"status","in":"query","description":"status","required":true,"type":"string","enum":["ACTIVATED","CANCELLED_BY_HOLDER","CANCELLED_BY_ID_VERIFIER","CANCELLED_BY_ORDERER","EXPIRED","PERSONALIZED","REJECTED_BY_PERSONALIZER","SUSPENDED","TERMINATED"]}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/RestResponsePage«SearchResponse»"}},"400":{"description":"Invalid status or date"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/order/searchbyid":{"get":{"tags":["Order API"],"summary":"Search for order by id","operationId":"searchOneOrderUsingGET","produces":["*/*"],"parameters":[{"name":"Authorization","in":"header","description":"Access Token","required":true,"type":"string","x-example":"Bearer access_token"},{"name":"orderid","in":"query","description":"orderid","required":true,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/SingleSearchResponse"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Invalid orderid"}}}},"/api/order/{cardNumber}/suspend":{"patch":{"tags":["Order API"],"summary":"Suspend card","operationId":"suspendOrderUsingPATCH","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"Authorization","in":"header","description":"Access Token","required":true,"type":"string","x-example":"Bearer access_token"},{"name":"cardNumber","in":"path","description":"cardNumber","required":true,"type":"string"}],"responses":{"200":{"description":"Card suspended"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Card number not found"}}}},"/api/time":{"get":{"tags":["Order API"],"summary":"Get current time","operationId":"getTimeUsingGET","produces":["*/*"],"parameters":[{"name":"Authorization","in":"header","description":"Access Token","required":true,"type":"string","x-example":"Bearer access_token"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/TimeResponse"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/auth":{"post":{"tags":["Order API"],"summary":"Authenticate client","operationId":"authenticateClientUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/AuthenticationRequest"}}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AuthenticationResponse"}},"400":{"description":"Missing assertion"},"401":{"description":"Invalid assertion"}}}},"/auth/client-secret":{"post":{"tags":["Order API"],"summary":"Authenticate client","operationId":"authenticateClientUsingPOST_1","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"applicationContext.applicationName","in":"query","required":false,"type":"string"},{"name":"applicationContext.displayName","in":"query","required":false,"type":"string"},{"name":"applicationContext.id","in":"query","required":false,"type":"string"},{"name":"applicationContext.startupDate","in":"query","required":false,"type":"integer","format":"int64"},{"name":"attributes","in":"query","required":false,"type":"object"},{"name":"localeContext.locale.country","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.displayCountry","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.displayLanguage","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.displayName","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.displayScript","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.displayVariant","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.extensionKeys","in":"query","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"multi"},{"name":"localeContext.locale.ISO3Country","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.ISO3Language","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.language","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.script","in":"query","required":false,"type":"string"},{"name":"localeContext.locale.unicodeLocaleAttributes","in":"query","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"multi"},{"name":"localeContext.locale.unicodeLocaleKeys","in":"query","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"multi"},{"name":"localeContext.locale.variant","in":"query","required":false,"type":"string"},{"name":"logPrefix","in":"query","required":false,"type":"string"},{"name":"notModified","in":"query","required":false,"type":"boolean"},{"name":"principal.name","in":"query","required":false,"type":"string"},{"name":"request.id","in":"query","required":false,"type":"string"},{"name":"request.localAddress.address.address","in":"query","required":false,"type":"string","format":"byte"},{"name":"request.localAddress.address.anyLocalAddress","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.address.canonicalHostName","in":"query","required":false,"type":"string"},{"name":"request.localAddress.address.hostAddress","in":"query","required":false,"type":"string"},{"name":"request.localAddress.address.hostName","in":"query","required":false,"type":"string"},{"name":"request.localAddress.address.linkLocalAddress","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.address.loopbackAddress","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.address.MCGlobal","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.address.MCLinkLocal","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.address.MCNodeLocal","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.address.MCOrgLocal","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.address.MCSiteLocal","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.address.multicastAddress","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.address.siteLocalAddress","in":"query","required":false,"type":"boolean"},{"name":"request.localAddress.hostName","in":"query","required":false,"type":"string"},{"name":"request.localAddress.hostString","in":"query","required":false,"type":"string"},{"name":"request.localAddress.port","in":"query","required":false,"type":"integer","format":"int32"},{"name":"request.localAddress.unresolved","in":"query","required":false,"type":"boolean"},{"name":"request.method","in":"query","required":false,"type":"string","enum":["DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},{"name":"request.remoteAddress.address.address","in":"query","required":false,"type":"string","format":"byte"},{"name":"request.remoteAddress.address.anyLocalAddress","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.address.canonicalHostName","in":"query","required":false,"type":"string"},{"name":"request.remoteAddress.address.hostAddress","in":"query","required":false,"type":"string"},{"name":"request.remoteAddress.address.hostName","in":"query","required":false,"type":"string"},{"name":"request.remoteAddress.address.linkLocalAddress","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.address.loopbackAddress","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.address.MCGlobal","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.address.MCLinkLocal","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.address.MCNodeLocal","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.address.MCOrgLocal","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.address.MCSiteLocal","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.address.multicastAddress","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.address.siteLocalAddress","in":"query","required":false,"type":"boolean"},{"name":"request.remoteAddress.hostName","in":"query","required":false,"type":"string"},{"name":"request.remoteAddress.hostString","in":"query","required":false,"type":"string"},{"name":"request.remoteAddress.port","in":"query","required":false,"type":"integer","format":"int32"},{"name":"request.remoteAddress.unresolved","in":"query","required":false,"type":"boolean"},{"name":"request.sslInfo.peerCertificates[0].basicConstraints","in":"query","required":false,"type":"integer","format":"int32"},{"name":"request.sslInfo.peerCertificates[0].encoded","in":"query","required":false,"type":"string","format":"byte"},{"name":"request.sslInfo.peerCertificates[0].extendedKeyUsage","in":"query","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"multi"},{"name":"request.sslInfo.peerCertificates[0].extendedKeyUsage.first","in":"query","required":false,"type":"string"},{"name":"request.sslInfo.peerCertificates[0].extendedKeyUsage.last","in":"query","required":false,"type":"string"},{"name":"request.sslInfo.peerCertificates[0].issuerAlternativeNames[0].first","in":"query","required":false,"type":"object"},{"name":"request.sslInfo.peerCertificates[0].issuerAlternativeNames[0].last","in":"query","required":false,"type":"object"},{"name":"request.sslInfo.peerCertificates[0].issuerDN.name","in":"query","required":false,"type":"string"},{"name":"request.sslInfo.peerCertificates[0].issuerUniqueID","in":"query","required":false,"type":"array","items":{"type":"boolean"},"collectionFormat":"multi"},{"name":"request.sslInfo.peerCertificates[0].issuerX500Principal.encoded","in":"query","required":false,"type":"string","format":"byte"},{"name":"request.sslInfo.peerCertificates[0].issuerX500Principal.name","in":"query","required":false,"type":"string"},{"name":"request.sslInfo.peerCertificates[0].keyUsage","in":"query","required":false,"type":"array","items":{"type":"boolean"},"collectionFormat":"multi"},{"name":"request.sslInfo.peerCertificates[0].notAfter","in":"query","required":false,"type":"string","format":"date-time"},{"name":"request.sslInfo.peerCertificates[0].notBefore","in":"query","required":false,"type":"string","format":"date-time"},{"name":"request.sslInfo.peerCertificates[0].serialNumber","in":"query","required":false,"type":"integer","format":"int64"},{"name":"request.sslInfo.peerCertificates[0].sigAlgName","in":"query","required":false,"type":"string"},{"name":"request.sslInfo.peerCertificates[0].sigAlgOID","in":"query","required":false,"type":"string"},{"name":"request.sslInfo.peerCertificates[0].sigAlgParams","in":"query","required":false,"type":"string","format":"byte"},{"name":"request.sslInfo.peerCertificates[0].signature","in":"query","required":false,"type":"string","format":"byte"},{"name":"request.sslInfo.peerCertificates[0].subjectAlternativeNames[0].first","in":"query","required":false,"type":"object"},{"name":"request.sslInfo.peerCertificates[0].subjectAlternativeNames[0].last","in":"query","required":false,"type":"object"},{"name":"request.sslInfo.peerCertificates[0].subjectDN.name","in":"query","required":false,"type":"string"},{"name":"request.sslInfo.peerCertificates[0].subjectUniqueID","in":"query","required":false,"type":"array","items":{"type":"boolean"},"collectionFormat":"multi"},{"name":"request.sslInfo.peerCertificates[0].subjectX500Principal.encoded","in":"query","required":false,"type":"string","format":"byte"},{"name":"request.sslInfo.peerCertificates[0].subjectX500Principal.name","in":"query","required":false,"type":"string"},{"name":"request.sslInfo.peerCertificates[0].TBSCertificate","in":"query","required":false,"type":"string","format":"byte"},{"name":"request.sslInfo.peerCertificates[0].type","in":"query","required":false,"type":"string"},{"name":"request.sslInfo.peerCertificates[0].version","in":"query","required":false,"type":"integer","format":"int32"},{"name":"request.sslInfo.sessionId","in":"query","required":false,"type":"string"},{"name":"response.rawStatusCode","in":"query","required":false,"type":"integer","format":"int32"},{"name":"response.statusCode","in":"query","required":false,"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 REQUEST_URI_TOO_LONG","414 URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]},{"name":"session.attributes","in":"query","required":false,"type":"object"},{"name":"session.creationTime","in":"query","required":false,"type":"string","format":"date-time"},{"name":"session.expired","in":"query","required":false,"type":"boolean"},{"name":"session.id","in":"query","required":false,"type":"string"},{"name":"session.lastAccessTime","in":"query","required":false,"type":"string","format":"date-time"},{"name":"session.maxIdleTime.nano","in":"query","required":false,"type":"integer","format":"int32"},{"name":"session.maxIdleTime.negative","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.positive","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.seconds","in":"query","required":false,"type":"integer","format":"int64"},{"name":"session.maxIdleTime.units[0].dateBased","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.units[0].durationEstimated","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.units[0].first.dateBased","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.units[0].first.durationEstimated","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.units[0].first.timeBased","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.units[0].last.dateBased","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.units[0].last.durationEstimated","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.units[0].last.timeBased","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.units[0].timeBased","in":"query","required":false,"type":"boolean"},{"name":"session.maxIdleTime.zero","in":"query","required":false,"type":"boolean"},{"name":"session.started","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/AuthenticationResponse"}},"400":{"description":"Missing form data"},"401":{"description":"Invalid assertion"}}}},"/industry":{"get":{"tags":["Order API"],"summary":"Get connected industries","operationId":"getAllIndustriesUsingGET","produces":["*/*"],"parameters":[{"name":"Authorization","in":"header","description":"Access Token","required":true,"type":"string","x-example":"Bearer access_token"}],"responses":{"200":{"description":"Industries returned","schema":{"type":"array","items":{"$ref":"#/definitions/Industry"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}}},"definitions":{"Address":{"type":"object","properties":{"addressLine1":{"type":"string","example":"c/o John Doe","description":"Address"},"addressLine2":{"type":"string","example":"Street 123","description":"Address2"},"city":{"type":"string","example":"City","description":"City"},"countryCode":{"type":"string","example":"SE","description":"Country code"},"postalCode":{"type":"string","example":"123 45","description":"Postal Code"}},"title":"Address"},"AuthenticationRequest":{"type":"object","properties":{"assertion":{"type":"string"}},"title":"AuthenticationRequest"},"AuthenticationResponse":{"type":"object","properties":{"access_token":{"type":"string"},"expires_in":{"type":"integer","format":"int32"}},"title":"AuthenticationResponse"},"Document":{"type":"object","properties":{"id":{"type":"string","example":"work_permit","description":"Document ID"},"pdf":{"type":"string","description":"Pdf document base 64 encoded"}},"title":"Document"},"Industry":{"type":"object","properties":{"descriptionEn":{"type":"string"},"descriptionSe":{"type":"string"},"id":{"type":"string"},"industryFields":{"type":"array","uniqueItems":true,"items":{"$ref":"#/definitions/IndustryField"}},"industryOptions":{"type":"array","uniqueItems":true,"items":{"$ref":"#/definitions/IndustryOption"}},"name":{"type":"string"}},"title":"Industry"},"IndustryField":{"type":"object","properties":{"name":{"type":"string"},"required":{"type":"boolean"}},"title":"IndustryField"},"IndustryOption":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}},"title":"IndustryOption"},"Order":{"type":"object","required":["countryCode","email","firstName","lastName","nationalIdentityNumber"],"properties":{"address":{"description":"Card holder address","$ref":"#/definitions/Address"},"coOrdinationNumber":{"type":"string","example":"19991291-6922","description":"Co-ordination number (samordningsnummer) / Swedish national identity number"},"costCenter":{"type":"string","example":123456,"description":"The order purchase number for the card","minLength":0,"maxLength":20},"countryCode":{"type":"string","example":"SE","description":"Card holder nationality"},"dateOfBirth":{"type":"string","example":"2019-06-20","description":"Card holder date of birth"},"division":{"type":"string","example":"HR","description":"Division if order should be approved by administrator in specific division"},"documents":{"type":"array","description":"List of order documents","items":{"$ref":"#/definitions/Document"}},"email":{"type":"string","example":"john.doe@nexusgroup.com","description":"Email address"},"employmentNumber":{"type":"string","example":123456789,"description":"Employment number if used by your company"},"externalId":{"type":"string","description":"Calling system order ID"},"firstName":{"type":"string","example":"Jane","description":"First name"},"idType":{"type":"string","example":"19991291-6922","description":"Type of national ID","enum":["LMA_number","id_card_number","passport_number","ssn"]},"image":{"type":"string","description":"Person image base 64 encoded"},"industryFields":{"type":"object","example":{"example": "Yes"},"description":"Values for industry fields","additionalProperties":{"type":"string"}},"industryId":{"type":"string","example":"7c22591a-ae82-4c3d-99e8-d1746a423994","description":"The ID of the industry to use"},"industryOptionId":{"type":"string","example":"22ef622b-2d7a-4fd7-b2c5-cbe73d9c2295","description":"The ID of the selected option of the industry"},"lastName":{"type":"string","example":"Doe","description":"Last name"},"nationalIdentityNumber":{"type":"string","example":"19991231-6925","description":"National identity number"},"ordererEmail":{"type":"string","example":"test-user@test.se","description":"The email of the orderer that is going to approve the card"},"phone":{"type":"string","example":"+460701234567","description":"Phone number"},"validFrom":{"type":"string","example":"2019-06-20","description":"Card valid from"},"validTo":{"type":"string","example":"2024-06-20","description":"Card valid to"}},"title":"Order"},"OrderResponse":{"type":"object","properties":{"externalId":{"type":"string"},"orderId":{"type":"string"}},"title":"OrderResponse"},"Pageable":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"paged":{"type":"boolean"},"sort":{"$ref":"#/definitions/Sort"},"unpaged":{"type":"boolean"}},"title":"Pageable"},"RestResponsePage«SearchResponse»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/SearchResponse"}},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"RestResponsePage«SearchResponse»"},"SearchResponse":{"type":"object","properties":{"cardId":{"type":"string"},"cardType":{"type":"string"},"companyId":{"type":"string"},"companyName":{"type":"string"},"countryCode":{"type":"string"},"customId":{"type":"string"},"email":{"type":"string"},"employmentNumber":{"type":"string"},"firstName":{"type":"string"},"fullName":{"type":"string"},"lastName":{"type":"string"},"mifareNumber":{"type":"string"},"nationalIdentityNumber":{"type":"string"},"orderId":{"type":"string"},"personImage":{"type":"string"},"phone":{"type":"string"},"productionDate":{"type":"string","example":"yyyy-MM-dd"},"validFrom":{"type":"string","example":"yyyy-MM-dd"},"validTo":{"type":"string","example":"yyyy-MM-dd"}},"title":"SearchResponse"},"SearchResultPage":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/SearchResponse"}},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"SearchResultPage"},"SingleSearchResponse":{"type":"object","properties":{"cardId":{"type":"string"},"cardType":{"type":"string"},"companyId":{"type":"string"},"companyName":{"type":"string"},"countryCode":{"type":"string"},"customId":{"type":"string"},"email":{"type":"string"},"employmentNumber":{"type":"string"},"firstName":{"type":"string"},"fullName":{"type":"string"},"lastName":{"type":"string"},"mifareNumber":{"type":"string"},"nationalIdentityNumber":{"type":"string"},"orderId":{"type":"string"},"phone":{"type":"string"},"productionDate":{"type":"string","example":"yyyy-MM-dd"},"status":{"type":"string"},"validFrom":{"type":"string","example":"yyyy-MM-dd"},"validTo":{"type":"string","example":"yyyy-MM-dd"}},"title":"SingleSearchResponse"},"Sort":{"type":"object","properties":{"empty":{"type":"boolean"},"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"}},"title":"Sort"},"TimeResponse":{"type":"object","properties":{"now":{"type":"string","example":"2019-03-07T11:35:18.331108100","description":"Time right now on format [yyyy-MM-dd'T'HH:mm:ss.SSSXXX]"}},"title":"TimeResponse"}}}